Ingest Grid Event
POST
/v1/grid/events
const url = 'https://example.com/v1/grid/events';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"kind":"example","source":"grid","project_id":"","tenant_id":"","event_type":"","payload":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/grid/events \ --header 'Content-Type: application/json' \ --data '{ "kind": "example", "source": "grid", "project_id": "", "tenant_id": "", "event_type": "", "payload": {} }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
GridEventIn
object
kind
required
Kind
string
source
Source
string
project_id
Project Id
string
tenant_id
Tenant Id
string
event_type
Event Type
string
payload
Payload
object
key
additional properties
any
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
GridEventIngestOut
object
status
required
Status
string
tenant_id
required
Tenant Id
string
event_type
required
Event Type
string
Examplegenerated
{ "status": "example", "tenant_id": "example", "event_type": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}